Subject: Re: [Bier] WGLC: draft-ietf-bier-bgp-ls-bier-ext

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 2 Mar 2022 19:21:30 +0000

Hi,

draft-ietf-bier-lsr-ethernet-extensions has been renamed to draft-ietf-bier-lsr-non-mpls-extensions. This removes the first block below.

Thanks.
Jeffrey

Juniper Business Use Only
From: Jeffrey (Zhaohui) Zhang
Sent: Friday, December 10, 2021 11:05 AM
To: [email-masked]; [email-masked] <[email-masked]>; Jeff Haas <[email-masked]>
Cc: BIER WG <[email-masked]>
Subject: RE: [Bier] WGLC: draft-ietf-bier-bgp-ls-bier-ext

I think we could wait on this a little bit, with the following comments:

Other relevant documents like draft-ietf-bier-lsr-ethernet-extensions and draft-ietf-bier-idr-extensions should be progressed first.

For the sub-TLV format like the following:

      0                   1                   2                   3

      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

      |              Type             |             Length            |

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

      |     Max SI    |                   BIFT-id                     |

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

      |BS Len |                     Reserved                          |

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Jeff will post some comments for the draft-ietf-bier-idr-extensions that apply here as well.

In fact, I wonder if we could use the same sub-TLVs for both draft-ietf-bier-idr-extensions and draft-ietf-bier-bgp-ls-bier-ext.

   When BIER is enabled in an IGP domain, BIER-related informations will
   be advertised via IGP link-state routing protocols.  IGP extensions
   are described in ISIS[[RFC8401<https://datatracker.ietf.org/doc/html/rfc8401>]],OSPFv2[[RFC8444<https://datatracker.ietf.org/doc/html/rfc8444>]] and
   OSPFv3[[I-D.ietf-bier-ospfv3-extensions<https://datatracker.ietf.org/doc/html/draft-ietf-bier-bgp-ls-bier-ext#ref-I-D.ietf-bier-ospfv3-extensions>]].The flooding scope for the
   IGP extensions for BIER is IGP area-wide. by using the IGP alone it
   is not enough to construct fowarding tables across multiple IGP Area.

The above is not true and should be removed. There are inter-area distribution in ISIS/OSPF, and with draft-ietf-bier-prefix-redistribute, it can work with inter-protocol as well.

Jeffrey

------------------原始邮件------------------
发件人：GregShepherd
收件人：BIER WG;
日 期 ：2021年11月23日 00:20
主 题 ：[Bier] WGLC: draft-ietf-bier-bgp-ls-bier-ext
_______________________________________________
BIER mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bier<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/bier__;!!NEt6yMaO-gk!RT25uRm9vChT9Kp5VRphpcIQ9C8GT2KoFyAMQNI7jU3DQoYo5o4s-M8bFA10XaQ0$>

draft-ietf-bier-bgp-ls-bier-ext has been updated, and should go through one more WGLC before we request publication. Please read and review:

https://datatracker.ietf.org/doc/draft-ietf-bier-bgp-ls-bier-ext/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bier-bgp-ls-bier-ext/__;!!NEt6yMaO-gk!RT25uRm9vChT9Kp5VRphpcIQ9C8GT2KoFyAMQNI7jU3DQoYo5o4s-M8bFCNue7bG$>

Please respond to this thread, reply-all, with or without support.

Thanks,
- Shep
(Chairs)